package com.jpsoft.shinestar.modules.business.dao;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.business.entity.MeetingPersonRecode;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface MeetingPersonRecodeDAO {
	int insert(MeetingPersonRecode entity);
	int update(MeetingPersonRecode entity);
	int exist(String id);
	MeetingPersonRecode get(String id);
	int delete(String id);
	List<MeetingPersonRecode> list();
	MeetingPersonRecode findByMeetingIdAndSignTime(@Param("meetingId") String meetingId, @Param("personId") Long personId,@Param("startTime")Date startTime, @Param("endTime")Date endTime,@Param("signType")String signType);
	List<MeetingPersonRecode> search(Map<String, Object> searchParams, List<Sort> sortList);
//	List<Map> leaveEarlySearch(Map<String, Object> searchParams, List<Sort> sortList);
	List<Map> meetingRecordPageList(Map<String, Object> searchParams, List<Sort> sortList);
    List<MeetingPersonRecode> findByPersonIdAndSignTime(Long personId, Date startDate, Date endDate);
}